<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 

if(!isset($_SERVER['HTTP_X_REQUESTED_WITH']) || strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) !== 'xmlhttprequest') {
	die('Ajax only');
}

include_once "../common.inc.php";

if(!isset($_POST['profile_search'])){
	echo "Missing parameters.";
	exit;
}

# if the request is not empty do a check else we want to get all profiles within the limit
if(!empty($_POST['profile_search'])){
	# Returns TRUE if every character in text is either a letter or a digit, FALSE otherwise.  
	if(ctype_alnum($_POST['profile_search']) === true){
		$search = $_POST['profile_search'];
	} else {
		echo "invalid character found in search.";
		exit;
	}
} else {
	$search = "";
}

# default set an empty available array
$available = array();

# set the limit for the profile list
$limit = 20;

# We are admin in case if not using valid login or we truly are admin
if($session->isAdmin() || $session->allProfiles ){
	# set default variables needed for query
	$search_sql = "";
	$sql_vals = array();

	if(!empty($search)){
		# we need an LIKE !
		$search_sql = "WHERE profilename LIKE ?";
		$sql_vals[] = "%$search%";
	}

	# add limit as query value
	$sql_vals[] = $limit;

	# select limited profiles with search
	$q = "SELECT profilename FROM ". TBL_PROFILES . " {$search_sql} ORDER BY lastused DESC LIMIT ?";
	$r = $db->Execute($q, $sql_vals);
	while ($row = $r->fetchRow()) {
		$available[] = $row['profilename']; 
	}

} else {
	# We are logged in as a user... get the profiles I may look into
	$i = 0;
	foreach ($session->user_profiles as $p) {
		# we already found enough profiles
		if($i >= $limit){
			break;
		}

		if(!empty($search) && stripos($p,$search) === false){
			# search does not match 
			continue;
		} else {
			# search does match
			$available[] = $p;
			$i ++;
		}
	}
}

# Output available profiles
echo json_encode($available);
?>
