<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 

function CreatePDFContent($dash,$from="",$to="") {
	global $profile, $reports, $cm , $cloudapi;
	
	flush();	
	ob_start();

	if(!empty($cm)){
		@$cm->PDFstylingOverwrite();
	}

	$dashboard = json_decode(stripslashes($profile->dashboards[$profile->profilename.".dashboards.$dash"]["Value"]),true);
	
	echo "<div id='printer' class='content'>";
	if(empty($cloudapi)){ # for the cloud we do not need a header in the pdf
		echo "<h1 class='h1-title'>"._WEB_ANALYTICS_REPORT.": {$profile->confdomain}</h1>";
	}

		echo "<div class='page'>";
		foreach($dashboard["reports"] as $grid) {		
			foreach($grid as $report) {
				if (!isset($report["label"])) {
					continue;
				}
				$r="";
				$r = new $reports[$report["label"]]["ClassName"]();
				$r->IgnReIm = 1; # even if there is a problem with the date we may never ever show the reimport box in de email alerts
				
				parse_str($report["url"],$options);
				foreach($options as $option => $value) {
					$r->$option = $value;
					$r->options[$option] = $value;
				}
				
				if(!empty($r->profileselector)){
					$r->profile = new SiteProfile($r->profileselector);
				}
				
				if (!empty($from) && !empty($to)) {
					$r->from = $from;
					$r->to = $to;
				} else if(isset($r->minimumDate) && isset($r->maximumDate)) {
					$dr = DateToTimestamp($r->minimumDate, $r->maximumDate);
					$r->from = $dr['from'];
					$r->to = $dr['to'];
				}
				
				if(!isset($r->trafficsource)){
					$r->trafficsource = null;
					$r->applytrafficsource = false;
				}else{
					$r->applytrafficsource = true;
				}
				$r->displayReportLabel = true;
				$r->displayHeader = false;
				$r->displayReportButtons = false;
				$r->animate_graph = false;
				?>
				<div class="box report readheight">
                    <div class="box-header ui-sortable-handle">   
                        <h3 class="box-title"><?php echo $r->label; ?></h3>
                    </div> 
                    <div class="report-options" contenteditable="false"></div>    
                    <div class="box-body"><?php $r->DisplayReport(); ?></div>    
                    <div class="box-footer"></div>    
                    <div style="clear:both;"></div>
                </div>
                <?php
			}	
		}
		echo "</div>";

	echo "</div>";
	?>
	<script type="text/javascript">
	$(document).ready(function() {
		$("a").removeAttr("href");
		$("a").removeAttr("onclick");
		
		var totalHeight = 0;
		var allowedHeight = 950;
		
		$(".readheight").each(function() {
			if ($(this).outerHeight() > allowedHeight) { // this one is going to be too long anyway, so lets just print it
				$(this).css('page-break-before','always');
				totalHeight = $(this).outerHeight();
			} else if(($(this).outerHeight() + totalHeight) >= allowedHeight) {
				$(this).css('page-break-before','always');
				totalHeight = $(this).outerHeight();
			} else {
				totalHeight += $(this).outerHeight();
			}
		});		
	});
	</script>
	<?php
	$content = ob_get_clean();
	return $content;
}
?>