<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
/**
* @desc This report displays the browser market share
*/

$reports["_BROWSER_MARKET_SHARE"] = Array(
	"ClassName" => "BrowserMarketShare", 
	"Category" => "_CLIENT_SYSTEM", 
	"icon" => "images/icons/32x32/browsers.png",
	"Options" => "daterangeField,profileselector,displaymode,trafficsource,limit",
	"Filename" => "browser_market_share",
	"Distribution" => "Standard",
	"Order" => 4,
	"ReportVersion" => 1.0,
	"MinimumVersion" => 3.0,
	"EmailAlerts" => true,
	"Update" => false
);

class BrowserMarketShare extends report {
	
	function Settings() {
		$this->DefaultDisplay = "pie";
		$this->DisplayModes = "table,pie";
		$this->columnDefinitions = $this->ResetColumns();
	}
	
	function ResetColumns(){
		return array(
			array("Label" => "_BROWSER"),
			array("Label" => "_BROWSER_VERSION","dataType" => "String","display" => false),
			array("Label" => "_VISITS")
		);
	}

	function GetReportData() {
		global $reports;
		$r = new $reports["_BROWSER_VERSIONS"]["ClassName"]();
		# Reset to default report settings
		$r->sort_order = false;
		$r->sort_key = 0;
		$r->key_col = 0;

		$r->columnDefinitions = $this->ResetColumns();
		$r->setupColumnDefinitions();

		$r->createDataFiles($this->from,$this->to);	
		$data = $r->getDataFromFiles($r->dataFiles($this->from,$this->to));
		$data = $this->DataGroupBy($data,0);
		$data = DataSort($data,1);
		//dump($data);
		return $data;
	}
	
	function UpdateStats($from = '', $to = '',$print = 2) {
		return false;		
	}	
}
?>
