<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2016 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
/**
* @desc This report displays the most active visitors
*/
$reports["_MOST_ACTIVE_USERS"] = Array(
	"ClassName" => "MostActiveVisitors", 
	"Category" => "_VISITOR_DETAILS", 
	"icon" => "images/icons/32x32/mostactivevisitors.png",
	"Options" => "daterangeField,profileselector,displaymode,trafficsource,search,limit,columnSelector",
	"Filename" => "most_active_visitors",
	"Distribution" => "Premium",
	"Order" => 5,
	"ReportVersion" => 1.0,
	"MinimumVersion" => 3.0,
	"EmailAlerts" => true
);

class MostActiveVisitors extends Report {

	function Settings() {
		global $reports;
		
		$this->DefaultDisplay = "table";
		$this->DisplayModes = "table,pie";
		$this->columnDefinitions[] = array("Label" => "_IP_NUMBER","actionmenu" => 'ip');
		$this->columnDefinitions[] = array("Label" => "_REQUESTS");
		$this->columnDefinitions[] = array("Label" => "_COUNTRY");
		$this->columnDefinitions[] = array("Label" => "_MEGABYTES");
		$this->sort_order = SORT_DESC;
		$this->sort_key = 1;
	}
	function DefineQuery() {
		global $gi, $cnames,$db;
		
		$subquery  = "select visitorid,count(*) as hits,country,(sum(bytes*1.00)/1024.0)/1024.0 as mb from {$this->profile->tablename} where timestamp >= ". $db->quote($this->from) ." and timestamp <= ". $db->quote($this->to) ." group by visitorid order by hits desc";
		$subquery = subsetDataToSourceID($subquery, $this->trafficsource);
		$this->applytrafficsource = false;
		$query = "SELECT concat(v.ipnumber,'##',v.visitorid,'##',v.customlabel), hits, country, mb FROM ({$subquery}) as a, {$this->profile->tablename_visitorids} as v where a.visitorid=v.id "; 
		
		
		return $query;
	}
	
	function UpdateStats($from = '', $to = '',$print = 2){
		# not important enough
		return false;
	}
}
?>
