<?php
// PHPLOCKITOPT NOENCODE
/**
* @desc This file is a handler for the logaholic SPE API
* for more information please read:
* http://www.logaholic.com/manual/LogaholicManual/APIDocumentationForServiceProviderEditions
*/
require "config.php";
require "includes/common.php";
if (file_exists("includes/LogaholicDBInstall.php")) { require "includes/LogaholicDBInstall.php"; }
require "includes/LogaholicDBUser.php";
require "includes/LogaholicDBProfile.php";
require "includes/LogaholicDBBatch.php";
require "includes/LogaholicDBSubscription.php";

ReadVars();
AccessControl($config['api_password']);

if (!isset($action)) {
    echo "No action given. Please read the Logaholic Service Provider Edition API Documentation here <br>\nhttp://www.logaholic.com/manual/LogaholicManual/APIDocumentationForServiceProviderEditions";
    exit();       
}

switch ($action) {
    
    case 'exportlogdata':
        $obj = new LogaholicDBBatch();
        $obj->Export();
        break;
    
    case 'installdb':
        if (!file_exists("includes/LogaholicDBInstall.php")) {
            echo "This feature is not available for your version";
            exit();    
        }
        $obj = new LogaholicDBInstall();
        $obj->FreshInstall();
        break;

    case 'writeappconfig': 
        $obj = new LogaholicDBInstall();
        $obj->WriteAppConfig();
        break;
    
    case 'adduser':
        $user = new LogaholicDBUser();
        $user->AddUser();
        break;
    
    case 'edituser':
        $user = new LogaholicDBUser();
        $user->EditUser();
        break;
        
    case 'deleteuser':
        $user = new LogaholicDBUser();
        $user->DeleteUser();
        break;
    
    case 'fetchuser':
        $user = new LogaholicDBUser();
        $data = $user->FetchUser();
        $return_str = '{';
        if (is_array($data) && !empty($data)) {
            foreach ($data as $key=>$value) {
                $return_arr[] = "$key=$value";
            }
            $return_str .= implode(';', $return_arr);
        }
        $return_str .= '}';
        echo $return_str;
        break;
        
    case 'listuserprofiles':
        $user = new LogaholicDBUser();
        $user->ListUserProfiles();
        break;

    case 'editprofile':
        $site = new LogaholicDBProfile();
        $site->EditProfile();
        break;

    case 'addprofile':
        $site = new LogaholicDBProfile();
        $site->AddProfile();
        break;
        
    case 'deleteprofile':
        $site = new LogaholicDBProfile();
        $site->DeleteProfile();
        break;
	
	case 'getprofileinfo':
        $site = new LogaholicDBProfile();
        $site->GetProfileInfo();
        break;
		
	case 'getdbsize':
        $user = new LogaholicDBUser();
		echo $user->getUserDBSize();
        break;
		
	case 'exportprofilesettings':
        $obj = new LogaholicDBBatch();
        $obj->exportProfileSettings();
        break;	
	
	case 'importprofilesettings':
        $obj = new LogaholicDBBatch();
        $obj->importProfileSettings();
        break;

	case 'includebackup':
		$site = new LogaholicDBProfile();
        $site->includeBackup();
        break;
	
	case 'addsubscription':
		$site = new LogaholicDBSubscription();
		$site->AddSubscription();
		break;
	
	case 'editsubscription':
		$site = new LogaholicDBSubscription();
		$site->EditSubscription();
		break;
	
	case 'deletesubscription':
		$site = new LogaholicDBSubscription();
		$site->DeleteSubscription();
		break;
	
	
	case 'set_affiliateid':		
		$running_from_command_line=true;
		include_once($config['path']."/common.inc.php");
		include_once($config['path']."/languages/english.php");	
        affiliateID();
        break;
    
    default:
        echo "No valid action found, please read:<br>\nhttp://www.logaholic.com/manual/LogaholicManual/APIDocumentationForServiceProviderEditions";
        break;
}
?>
